ohdomainlist(1)

NAME
ohdomainlist - A openhpi sample application that shows information about domains on the level of the openhpi base library.

SYNOPSIS
 hpidomain [-h -V -X]
 hpidomain [--help] [--verbose] [--debug]

DESCRIPTION
ohdomainlist displays the list of domains known to the openhpi base library. In verbose mode, it displays more information about those domains. Clients can only access domains known to the library.

Please note that ohdomainlist can only display the domains defined in the openhpiclient.conf file as specified in the OPENHPICLIEN_CONF environment variable. Dynamic changes of the domain list done using the oHpiDomainAdd and oHpiDomainAddById API are valid only for the life-time of the client library.

If no domain or host is selected, ohdomainlist lists the domains as specified in the openhpiclient.conf file.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-D, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-V, --verbose
    Verbose mode

-N, --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables.

-C, --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SEE ALSO
         hpi_shell
         hpialarms      hpifan         hpipower       hpithres
         hpidomain      hpigensimdata  hpireset       hpitop
         hpiel          hpiiinv        hpisensor      hpitree
         hpievents      hpionIBMblade  hpisettime     hpiwdt
         hpixml
         ohhandler      ohparam

AUTHORS
Authors of this man page:

 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)